# Uses of Interface
org.eclipse.microprofile.rest.client.tck.interfaces.SimpleGetApi

Packages that use SimpleGetApi
Package
Description
org.eclipse.microprofile.rest.client.tck
org.eclipse.microprofile.rest.client.tck.interfaces
org.eclipse.microprofile.rest.client.tck.timeout

## Uses of SimpleGetApi in org.eclipse.microprofile.rest.client.tck

Methods in org.eclipse.microprofile.rest.client.tck that return SimpleGetApi
Modifier and Type
Method
Description
`protected SimpleGetApi`
FollowRedirectsTest.`getDefaultClientInstance()`
Methods in org.eclipse.microprofile.rest.client.tck with parameters of type SimpleGetApi
Modifier and Type
Method
Description
`static void`
FollowRedirectsTest.`testDefault(int redirectCode, SimpleGetApi defaultClient)`
`static void`
FollowRedirectsTest.`testFollows(int redirectCode, SimpleGetApi followingClient)`

## Uses of SimpleGetApi in org.eclipse.microprofile.rest.client.tck.interfaces

Subinterfaces of SimpleGetApi in org.eclipse.microprofile.rest.client.tck.interfaces
Modifier and Type
Interface
Description
`interface`
`SimpleGetApiWithConfigKey`

## Uses of SimpleGetApi in org.eclipse.microprofile.rest.client.tck.timeout

Methods in org.eclipse.microprofile.rest.client.tck.timeout that return SimpleGetApi
Modifier and Type
Method
Description
`protected SimpleGetApi`
TimeoutBuilderIndependentOfMPConfigTest.`getClientWithConnectTimeout()`
`protected SimpleGetApi`
TimeoutTest.`getClientWithConnectTimeout()`
`protected abstract SimpleGetApi`
TimeoutTestBase.`getClientWithConnectTimeout()`
`protected SimpleGetApi`
TimeoutViaMPConfigTest.`getClientWithConnectTimeout()`
`protected SimpleGetApi`
TimeoutViaMPConfigWithConfigKeyTest.`getClientWithConnectTimeout()`
`protected SimpleGetApi`
TimeoutBuilderIndependentOfMPConfigTest.`getClientWithReadTimeout()`
`protected SimpleGetApi`
TimeoutTest.`getClientWithReadTimeout()`
`protected abstract SimpleGetApi`
TimeoutTestBase.`getClientWithReadTimeout()`
`protected SimpleGetApi`
TimeoutViaMPConfigTest.`getClientWithReadTimeout()`
`protected SimpleGetApi`
TimeoutViaMPConfigWithConfigKeyTest.`getClientWithReadTimeout()`